{"title":"Get contactInformation","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_contactinformation_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_contactinformation_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_contactinformation_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a contact information object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":97,"chars":599},{"level":2,"title":"Request headers","slug":"request-headers","at":696,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":768,"chars":61},{"level":2,"title":"Response","slug":"response","at":829,"chars":131},{"level":2,"title":"Example","slug":"example","at":960,"chars":785},{"level":2,"title":"Remarks","slug":"remarks","at":1745,"chars":70},{"level":2,"title":"Related information","slug":"related-information","at":1815,"chars":139}],"text":"Retrieves the properties and relationships of a contact information object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/vendors({id})/contactsInformation\nGET businesscentralPrefix/companies({id})/customers({id})/contactsInformation\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/contactsInformation$filter=relatedId eq {bankAccountId} and relatedType eq 'Bank Account'\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/contactsInformation$filter=relatedId eq {employeeId} and relatedType eq 'Employee'\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a contactsInformation object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/customers({id})/contactsInformation\n```\nResponse\nHere's an example of the response.\n```json\n{\n    {\n        \"contactId\": \"8f253caa-82de-ed11-884e-6045bdac97e2\",\n        \"contactNumber\": \"CT000001\",\n        \"contactName\": \"Adatum Corporation\",\n        \"contactType\": \"Company\",\n        \"relatedId\": \"8e253caa-82de-ed11-884e-6045bdac97e2\",\n        \"relatedType\": \"Customer\"\n    },\n    {\n        \"contactId\": \"91253caa-82de-ed11-884e-6045bdac97e2\",\n        \"contactNumber\": \"CT000002\",\n        \"contactName\": \"Robert Townes\",\n        \"contactType\": \"Person\",\n        \"relatedId\": \"8e253caa-82de-ed11-884e-6045bdac97e2\",\n        \"relatedType\": \"Customer\"\n    }\n}\n```\n## Remarks\nThis resource type requires Business Central version 18.0.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_contactinformation"}